# -*- coding: cp1252 -*-
# (C) by Fred Bayer <fred@bayerf.de>
#
"Sample handler for synchronous server. Just echo each character received."

from f4lw import sync_server

class Echo:
  def __init__(self):
    print "Handler created"
    self.val = " " * 4

  def display(self):
    print "Handler display"
    return self.val[-4:]

  def input(self, s):
    print "Handler input %s" % s
    self.val += s

  def __del__(self):
    print "Handler destroyed"
    
if __name__ == "__main__":
  sync_server(Echo)

  
